<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <ui:decorate template="template.xhtml">
        <ui:define name="centro">
            <p:growl id="growl" life="5000" />
            
            <h:panelGrid id="dados">
                <h:form id="formTabela">
                    <p:dataTable id="tableAlunos"
                   	             value="#{alunoBean.alunos}" 
                                 selectionMode="single"
                                 selection="#{alunoBean.aluno}" 
                                 rowKey="#{alu.matricula}"
                                 var="alu"
                                 rows="10"
                                 lazy="true"
                                 paginator="true"
                                 paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                                 rowsPerPageTemplate="5,10,15">  
                                       
                        <p:column headerText="Matricula" style="width:100px">
                            <h:outputText value="#{alu.matricula}" />
                        </p:column>

                        <p:column headerText="Nome">
                             <h:outputText value="#{alu.nome}" />
                        </p:column>

                        <p:column headerText="E-mail">
                            <h:outputText value="#{alu.email}" />
                        </p:column>

                        <p:column headerText="Telefone">
                            <h:outputText value="#{alu.telefone}" />
                        </p:column>
                        
                        <p:column headerText="Orientador">
                            <h:outputText value="#{alu.orientador.nome}" />
                        </p:column>
                        
                        <p:column headerText="Banca1">
                             <h:outputText value="#{alu.professor1.nome}" />
                           
                        </p:column>
                        
                        <p:column headerText="Banca2">
                             <h:outputText value="#{alu.professor2.nome}" />
                           
                        </p:column>
                        
                        <p:column headerText="Banca3">
                             <h:outputText value="#{alu.professor3.nome}" />
                        </p:column>
                        
                       						
                        <f:facet name="footer">
                            <p:commandButton process="tableAlunos" update="tableAlunos" icon="ui-icon-close" value="Apagar" actionListener="#{alunoBean.apagar}"/>
                            <p:commandButton update="growl"  value="Editar" action="#{alunoBean.editar}"/>
                        
                        </f:facet>
                    </p:dataTable>
                    
                     
                </h:form>

            </h:panelGrid>
        </ui:define>
    </ui:decorate>
</html>